<!--
# SPDX-License-Identifier: GPL-3.0-or-later
#
# SPDX-FileCopyrightText: 2023 Glenn Y. Rolland <glenux@glenux.net>
# Copyright © 2023 Glenn Y. Rolland <glenux@glenux.net>
-->

[![Build Status](https://cicd.apps.glenux.net/api/badges/glenux/docmachine-containers/status.svg)](https://cicd.apps.glenux.net/glenux/docmachine-containers)
![License LGPL3.0-or-later](https://img.shields.io/badge/license-LGPL3.0--or--later-blue.svg)
[![Donate on patreon](https://img.shields.io/badge/patreon-donate-orange.svg)](https://patreon.com/glenux)

> :information_source: This project is available on our self-hosted server and
> on CodeBerg and GitHub as mirrors. For the latest updates and comprehensive
> version of our project, please visit our primary repository at:
> <https://code.apps.glenux.net/glenux/docmachine-containers>.

# DocMachine Containers

## Prerequisites

Make sure you have Docker installed.

## Writing content

### Create your directory tree

```
.           # project directory
|- docs     # where website documents go
|  `- *.md
|- slides   # where presentation documents go
|  `- *.md
|- images/  # where images go
|- ...
```

### Content for docs

FIXME: tree structure

FIXME: autoslide feature

### Content for slides

FIXME: tree structure

## Watch mode

This mode allows you the result on-the-fly as you makea changes in the content.

To use watch mode, type:

    docmachine -a watch

To use watch mode for slides only type:

    docmachine -a watch-slides

To use watch mode for docs only type:

    docmachine -a watch-docs


## Build mode

This mode builds final content for delivery (website, PDF files)

### Building HTML

To use build mode:

    docmachine build

### Building PDF


